<div id="wrapper">
  <div class="vertical-align-wrap">
    <div class="vertical-align-middle auth-main">
      <div class="auth-box">
        <div class="top">
          <img src="http://www.wrraptheme.com/templates/lucid/hospital/assets/images/logo-white.svg" alt="Lucid">
        </div>
        <div class="card">
          <div class="header">
            <p class="lead">Login to your account</p>
          </div>
          <div class="body">
            <form class="form-auth-small" [formGroup]="loginForm" (ngSubmit)="auth()">
              <div class="form-group">
                <label class="control-label sr-only">Email</label>
                <input type="email" class="form-control"  formControlName="email" [ngClass]="{ 'is-invalid': submit && f.email.errors }"/>
                <div *ngIf="submit && f.email.errors" class="invalid-feedback">
                  <div *ngIf="f.email.errors.required">le champ est obligatoire</div>
                </div>
              </div>
              <div class="form-group">
                <label  class="control-label sr-only">password</label>
                <input type="password" class="form-control" formControlName="password" [ngClass]="{ 'is-invalid': submit && f.password.errors }"/>
                <div *ngIf="submit && f.password.errors" class="invalid-feedback">
                  <div *ngIf="f.password.errors.required">le champ est obligatoire</div>
                </div>

              </div>

              <button type="submit" class="btn btn-primary btn-lg btn-block" >s'authentifier</button>
              <div class="bottom">
                <span>Don't have an account? <a routerLink="/register" >Register</a></span>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
